Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.stats
Class PointTime

    java.lang.Object
      mx4j.tools.stats.PointTime

All Implemented Interfaces:
  java.lang.Comparable

public class PointTime
extends java.lang.Object
implements java.lang.Comparable

Class PointTime encapsulates the time and order of a value. We want to index the recorded time but in the event of a repeated time, it will have another index which should be unique. The class is Comparable and the order is given first by the date and if those are equals by the index

Version:
  $Revision: 1.3 $

Constructor Summary
`PointTime(java.util.Date date, long index)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`java.util.Date` | `getDate()`
`long` | `getIndex()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointTime

    public PointTime(java.util.Date date,
                     long index)

Method Detail

### getDate

    public java.util.Date getDate()

### getIndex

    public long getIndex()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### equals

    public boolean equals(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.